function [allfilterr, allfilteri, allsymbol] = makefilter1(scale, norient, ns, expan, K) 

allorient  = (0:norient-1) * 180/norient; 
allfilterr = cell(1, norient*ns+K); 
allfilteri = cell(1, norient*ns+K); 
allsymbol = cell(1, norient*ns+K); 

sc = scale; shrink = sqrt(2.);
for s = 1 : ns
    for o = 1 : norient
      n = o + (s-1)*norient;
     [allfilterr{1, n}, allfilteri{1, n}, allsymbol{1, n}] = gaborfilter1(sc, allorient(o), s);
     end
     sc = sc/shrink;
end

sc = scale;  shrink = sqrt(2.);    
for s = 1 : K
     n = norient*ns+s;
     [allfilterr{1, n}, allfilteri{1, n}, allsymbol{1, n}] = dog(sc*expan, 1.-s*.4);
     sc = sc/shrink;
end

